| API Docs for SAX and DOM |

Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members

# DOMDocumentFragment Class Reference

OMDocumentFragment is a "lightweight" or "minimal" DOMDocument object. More...

`#include <DOMDocumentFragment.hpp>`

Inheritance diagram for DOMDocumentFragment

[legend]
Collaboration diagram for DOMDocumentFragment:

[legend]
List of all members.

## Public Methods

Destructor
virtual | ~DOMDocumentFragment ()
| Destructor.

## Protected Methods

Hidden constructors
| DOMDocumentFragment ()
| DOMDocumentFragment (const DOMDocumentFragment &)
DOMDocumentFragment& | operator= (const DOMDocumentFragment &)

## Detailed Description

OMDocumentFragment is a "lightweight" or "minimal" DOMDocument object.

It is very common to want to be able to extract a portion of a document's tree or to create a new fragment of a document. Imagine implementing a user command like cut or rearranging a document by moving fragments around. It is desirable to have an object which can hold such fragments and it is quite natural to use a DOMNode for this purpose. While it is true that a `DOMDocument` object could fulfil this role, a `DOMDocument` object can potentially be a heavyweight object, depending on the underlying implementation. What is really needed for this is a very lightweight object. `DOMDocumentFragment` is such an object.

Furthermore, various operations -- such as inserting nodes as children of another `DOMNode` -- may take `DOMDocumentFragment` objects as arguments; this results in all the child nodes of the `DOMDocumentFragment` being moved to the child list of this node.

The children of a `DOMDocumentFragment` node are zero or more nodes representing the tops of any sub-trees defining the structure of the document. `DOMDocumentFragment` nodes do not need to be well-formed XML documents (although they do need to follow the rules imposed upon well-formed XML parsed entities, which can have multiple top nodes). For example, a `DOMDocumentFragment` might have only one child and that child node could be a `DOMText` node. Such a structure model represents neither an HTML document nor a well-formed XML document.

When a `DOMDocumentFragment` is inserted into a `DOMDocument` (or indeed any other `DOMNode` that may take children) the children of the `DOMDocumentFragment` and not the `DOMDocumentFragment` itself are inserted into the `DOMNode`. This makes the `DOMDocumentFragment` very useful when the user wishes to create nodes that are siblings; the `DOMDocumentFragment` acts as the parent of these nodes so that the user can use the standard methods from the `DOMNode` interface, such as `insertBefore()` and `appendChild()`.

Since:
  DOM Level 1

## Constructor & Destructor Documentation

DOMDocumentFragment::DOMDocumentFragment ( | )`[protected]`

DOMDocumentFragment::DOMDocumentFragment ( | const DOMDocumentFragment & )`[protected]`

DOMDocumentFragment::~DOMDocumentFragment ( | )`[virtual]`

| Destructor.

## Member Function Documentation

DOMDocumentFragment & DOMDocumentFragment::operator= ( | const DOMDocumentFragment & )`[protected]`

The documentation for this class was generated from the following file:

- DOMDocumentFragment.hpp

Copyright © 2000 The Apache Software Foundation. All Rights Reserved.